## org.eclipse.jst.jsf.metadataprocessors.features
Interface IPossibleValue

All Known Implementing Classes:
  PossibleValue

    public interface IPossibleValue

Interface for providing lists of possible values Values can be different than displayed values.

Provisional API - subject to change

Method Summary
`java.lang.String` `getAdditionalInformation()`
`java.lang.String` `getDisplayValue()`
`ImageDescriptor` `getIcon()`
`java.lang.String` `getValue()`
`boolean` `isDefaultValue()`

Method Detail

### getValue

    java.lang.String getValue()

  Returns:
    value to set. should not return null.

### getDisplayValue

    java.lang.String getDisplayValue()

  Returns:
    value to display in a proposal which can be different than what is set. Must not return null.

### getIcon

    ImageDescriptor getIcon()

  Returns:
    ImageDescriptor for image to be displayed in a proposal. May be null.

### isDefaultValue

    boolean isDefaultValue()

  Returns:
    true if is known to be the default value.

### getAdditionalInformation

    java.lang.String getAdditionalInformation()

  Returns:
    additional information that could be used for descriptive help May be null